/**
 * 所有yqtdemo里面需要应用自定义处理的，应该都在这个js内部
 * 1、noCaheList 不需要缓存的url，添加到这个数组里面
 * 2、specialUrl 需要特殊处理的urlkey，在这里处理
 */

// 小应用名称，用于在导出数据时，能够准确的导出本应用的数据
// 每个应用自己需要按照应用名称改一下
export var demoMicAppName = 'approval';

// 不需要缓存的请求, 自己按照应用往里面加
export var noCaheList = [];

/**
 * 特殊处理的url
 *
 * @param {*} url
 * @param {*} params
 */
export function specialUrl(url, params, key) {
    // TODO 这是例子 特殊处理的url，都在这里了
    // 如果是审批列表， 需要通过参数type区分 我的审批、我的申请、知会我
    if (url.indexOf('applyList/getList.do') > -1 && !!params.flowTypeList) {
        key = key + "_type_" + params.flowTypeList[0];
        if (!!params.filterConditions) {
            key = key + "_conditions";
        } else if (!!params.searchKeys) {
            key = key + "_searchKeys";
        }
    } else if (url.indexOf('getApplyInfo.do') > -1) {
        key = key + "_type_" + params.templetType;
    }
    console.log("specialUrl - key: " + key);
    return key;
}