'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});
exports.TransferDom = exports.SnSwipeAction = exports.SnOverlay = exports.SnToast = exports.SnLoading = exports.SnCarouselItem = exports.SnCarousel = exports.SnPopup = exports.SnCollapsePanel = exports.SnCollapse = exports.SnModal = exports.SnDropdownMenuItem = exports.SnDropdownMenu = exports.SnEmpty = exports.SnListItem = exports.SnList = exports.SnMstpUpload = exports.SnUpload = exports.SnSwitch = exports.SnPicker = exports.SnPickerView = exports.SnStepper = exports.SnCheckboxItem = exports.SnCheckboxGroup = exports.SnCheckbox = exports.SnNumberKeyboard = exports.SnInputNumberItem = exports.SnInputNumber = exports.SnRadioItem = exports.SnRadioGroup = exports.SnRadio = exports.SnRangePicker = exports.SnRangePickerView = exports.SnDatetimePicker = exports.SnDatetimePickerView = exports.SnTextareaItem = exports.SnTextarea = exports.SnInputItem = exports.SnInput = exports.SnTab = exports.SnTabs = exports.SnWhiteSpace = exports.SnWingBlank = exports.SnFlexItem = exports.SnFlexBox = exports.SnIcon = exports.SnButton = undefined;

var _button = require('./button');

var _button2 = _interopRequireDefault(_button);

var _icon = require('./icon');

var _icon2 = _interopRequireDefault(_icon);

var _flexBox = require('./flex-box');

var _flexBox2 = _interopRequireDefault(_flexBox);

var _flexItem = require('./flex-item');

var _flexItem2 = _interopRequireDefault(_flexItem);

var _wingBlank = require('./wing-blank');

var _wingBlank2 = _interopRequireDefault(_wingBlank);

var _whiteSpace = require('./white-space');

var _whiteSpace2 = _interopRequireDefault(_whiteSpace);

var _tabs = require('./tabs');

var _tabs2 = _interopRequireDefault(_tabs);

var _tab = require('./tab');

var _tab2 = _interopRequireDefault(_tab);

var _input = require('./input');

var _input2 = _interopRequireDefault(_input);

var _inputItem = require('./input-item');

var _inputItem2 = _interopRequireDefault(_inputItem);

var _textarea = require('./textarea');

var _textarea2 = _interopRequireDefault(_textarea);

var _textareaItem = require('./textarea-item');

var _textareaItem2 = _interopRequireDefault(_textareaItem);

var _inputNumber = require('./input-number');

var _inputNumber2 = _interopRequireDefault(_inputNumber);

var _inputNumberItem = require('./input-number-item');

var _inputNumberItem2 = _interopRequireDefault(_inputNumberItem);

var _numberKeyboard = require('./number-keyboard');

var _numberKeyboard2 = _interopRequireDefault(_numberKeyboard);

var _datetimePickerView = require('./datetime-picker-view');

var _datetimePickerView2 = _interopRequireDefault(_datetimePickerView);

var _datetimePicker = require('./datetime-picker');

var _datetimePicker2 = _interopRequireDefault(_datetimePicker);

var _rangePickerView = require('./range-picker-view');

var _rangePickerView2 = _interopRequireDefault(_rangePickerView);

var _rangePicker = require('./range-picker');

var _rangePicker2 = _interopRequireDefault(_rangePicker);

var _radio = require('./radio');

var _radio2 = _interopRequireDefault(_radio);

var _radioGroup = require('./radio-group');

var _radioGroup2 = _interopRequireDefault(_radioGroup);

var _radioItem = require('./radio-item');

var _radioItem2 = _interopRequireDefault(_radioItem);

var _checkbox = require('./checkbox');

var _checkbox2 = _interopRequireDefault(_checkbox);

var _checkboxGroup = require('./checkbox-group');

var _checkboxGroup2 = _interopRequireDefault(_checkboxGroup);

var _checkboxItem = require('./checkbox-item');

var _checkboxItem2 = _interopRequireDefault(_checkboxItem);

var _stepper = require('./stepper');

var _stepper2 = _interopRequireDefault(_stepper);

var _pickerView = require('./picker-view');

var _pickerView2 = _interopRequireDefault(_pickerView);

var _picker = require('./picker');

var _picker2 = _interopRequireDefault(_picker);

var _switch = require('./switch');

var _switch2 = _interopRequireDefault(_switch);

var _upload = require('./upload');

var _upload2 = _interopRequireDefault(_upload);

var _mstpUpload = require('./mstp-upload');

var _mstpUpload2 = _interopRequireDefault(_mstpUpload);

var _list = require('./list');

var _list2 = _interopRequireDefault(_list);

var _listItem = require('./list-item');

var _listItem2 = _interopRequireDefault(_listItem);

var _empty = require('./empty');

var _empty2 = _interopRequireDefault(_empty);

var _dropdownMenu = require('./dropdown-menu');

var _dropdownMenu2 = _interopRequireDefault(_dropdownMenu);

var _dropdownMenuItem = require('./dropdown-menu-item');

var _dropdownMenuItem2 = _interopRequireDefault(_dropdownMenuItem);

var _popup = require('./popup');

var _popup2 = _interopRequireDefault(_popup);

var _modal = require('./modal');

var _modal2 = _interopRequireDefault(_modal);

var _collapse = require('./collapse');

var _collapse2 = _interopRequireDefault(_collapse);

var _collapsePanel = require('./collapse-panel');

var _collapsePanel2 = _interopRequireDefault(_collapsePanel);

var _carousel = require('./carousel');

var _carousel2 = _interopRequireDefault(_carousel);

var _carouselItem = require('./carousel-item');

var _carouselItem2 = _interopRequireDefault(_carouselItem);

var _loading = require('./loading');

var _loading2 = _interopRequireDefault(_loading);

var _toast = require('./toast');

var _toast2 = _interopRequireDefault(_toast);

var _overlay = require('./overlay');

var _overlay2 = _interopRequireDefault(_overlay);

var _swipeAction = require('./swipe-action');

var _swipeAction2 = _interopRequireDefault(_swipeAction);

var _transferDom = require('./directives/transfer-dom');

var _transferDom2 = _interopRequireDefault(_transferDom);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var ENV = process.env.NODE_ENV;
if (ENV !== 'production' && ENV !== 'test' && typeof console !== 'undefined' && console.warn && typeof window !== 'undefined') {
    console.warn('You are using a whole package of sinosun-ui, ' + 'please use https://yqtdev.sinosun.com:18094/static/docs/component/index.html#/./foreword to reduce app bundle size.');
}

/* 通用 */


/* 布局 */


/* 导航 */


/* 数据录入 */


/* 数据展示 */


/* 反馈 */


/* 手势 */


/* 组合 */

/* 其他 */


var components = [_button2['default'], _icon2['default'], _flexBox2['default'], _flexItem2['default'], _wingBlank2['default'], _whiteSpace2['default'], _tabs2['default'], _tab2['default'], _input2['default'], _inputItem2['default'], _textarea2['default'], _textareaItem2['default'], _datetimePickerView2['default'], _datetimePicker2['default'], _rangePickerView2['default'], _rangePicker2['default'], _radio2['default'], _radioGroup2['default'], _radioItem2['default'], _inputNumber2['default'], _inputNumberItem2['default'], _numberKeyboard2['default'], _checkbox2['default'], _checkboxGroup2['default'], _checkboxItem2['default'], _stepper2['default'], _pickerView2['default'], _picker2['default'], _switch2['default'], _upload2['default'], _mstpUpload2['default'], _list2['default'], _listItem2['default'], _empty2['default'], _dropdownMenu2['default'], _dropdownMenuItem2['default'], _modal2['default'], _collapse2['default'], _collapsePanel2['default'], _popup2['default'], _carousel2['default'], _carouselItem2['default'], _loading2['default'], _toast2['default'], _overlay2['default'], _swipeAction2['default']];

var install = function install(Vue) {
    components.map(function (component) {
        Vue.use(component);
    });
};

/* istanbul ignore if */
if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
}

exports.SnButton = _button2['default'];
exports.SnIcon = _icon2['default'];
exports.SnFlexBox = _flexBox2['default'];
exports.SnFlexItem = _flexItem2['default'];
exports.SnWingBlank = _wingBlank2['default'];
exports.SnWhiteSpace = _whiteSpace2['default'];
exports.SnTabs = _tabs2['default'];
exports.SnTab = _tab2['default'];
exports.SnInput = _input2['default'];
exports.SnInputItem = _inputItem2['default'];
exports.SnTextarea = _textarea2['default'];
exports.SnTextareaItem = _textareaItem2['default'];
exports.SnDatetimePickerView = _datetimePickerView2['default'];
exports.SnDatetimePicker = _datetimePicker2['default'];
exports.SnRangePickerView = _rangePickerView2['default'];
exports.SnRangePicker = _rangePicker2['default'];
exports.SnRadio = _radio2['default'];
exports.SnRadioGroup = _radioGroup2['default'];
exports.SnRadioItem = _radioItem2['default'];
exports.SnInputNumber = _inputNumber2['default'];
exports.SnInputNumberItem = _inputNumberItem2['default'];
exports.SnNumberKeyboard = _numberKeyboard2['default'];
exports.SnCheckbox = _checkbox2['default'];
exports.SnCheckboxGroup = _checkboxGroup2['default'];
exports.SnCheckboxItem = _checkboxItem2['default'];
exports.SnStepper = _stepper2['default'];
exports.SnPickerView = _pickerView2['default'];
exports.SnPicker = _picker2['default'];
exports.SnSwitch = _switch2['default'];
exports.SnUpload = _upload2['default'];
exports.SnMstpUpload = _mstpUpload2['default'];
exports.SnList = _list2['default'];
exports.SnListItem = _listItem2['default'];
exports.SnEmpty = _empty2['default'];
exports.SnDropdownMenu = _dropdownMenu2['default'];
exports.SnDropdownMenuItem = _dropdownMenuItem2['default'];
exports.SnModal = _modal2['default'];
exports.SnCollapse = _collapse2['default'];
exports.SnCollapsePanel = _collapsePanel2['default'];
exports.SnPopup = _popup2['default'];
exports.SnCarousel = _carousel2['default'];
exports.SnCarouselItem = _carouselItem2['default'];
exports.SnLoading = _loading2['default'];
exports.SnToast = _toast2['default'];
exports.SnOverlay = _overlay2['default'];
exports.SnSwipeAction = _swipeAction2['default'];
exports.TransferDom = _transferDom2['default'];
exports['default'] = {
    install: install
};